Bug 171642 - cursor goes wild
cursor goes wild
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-10-24 13:13 EDT by William Hall
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-04 21:49:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description William Hall 2005-10-24 13:13:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
I have two computers connected by a KVM 2 Port Switch to share Keyboard, Monitor and Mouse. This (FC4 System) works fine until I switch to the other computer and return to this one. Upon switching back to this computer the cursor goes wild as soon as the mose is touched. Without pushing any buttons it randomly activates various things and the only way to regain control is to reboot. I have used this switch for a few years and it was not a problem until I upgraded from FC2 to FC4.
I tried different mouse configurations but same result.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Switch to alterante computer (via KVM Switch)
2.Switch back to this (FC4) computer.

Actual Results:  Loss of mouse control

Expected Results:  Normal mouse control.

Additional info:
Comment 1 Paul Nasrat 2005-10-24 13:14:57 EDT
Are there any messages in dmesg related to the input layer?
Comment 2 Dave Jones 2005-11-10 14:15:05 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 3 William Hall 2005-11-10 17:17:45 EST
I have just installed this new Kernel and it has not affected the problem at all.
Comment 4 William Hall 2005-11-14 14:06:49 EST
I must say that I have found that there was an "effect" but less than a complete
fix. If I log off before switching, I can then switch back and log on again and
have proper control. Before I had to completely re-boot to get control back.
When I run Windows XP on this machine I can switch back and forth at will
without problem.
Comment 5 Dave Jones 2006-02-03 01:36:46 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 John Thacker 2006-05-04 21:49:31 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.